dashboard/urls.py
from django.contrib import admin
from django.urls import path, include
from student.views import CreateCheckoutSessionView

urlpatterns = [
    # path('admin/', admin.site.urls),
    path('', include("student.urls")),
    path('create-checkout-session/', CreateCheckoutSessionView.as_view(),
         name='create-checkout-session')
]

student/urls.py
from django.urls import path
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = "student"
urlpatterns = [
    path("", views.login_view, name="login"),
    path("app", views.index, name="index"),
    path("logout", views.logout_view, name="logout"),
    path("app/<str:search>", views.templates, name="stu"),
    path("app/checkout", views.checkout, name="checkout"),
    path("app/success", views.success, name="success"),
    path("app/cancel", views.cancel, name="cancel"),
    path("admin/<str:search>", views.templates, name="admin"),
    path("update", views.setting, name="update"),
    path("admin/<str:fileName>/upload", views.handleFileUpload, name="upload"),
    # path("csfFile", views.csvFile, name="csvFile"),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)

student/models.py
from django.db import models

# Create your models here.


class AdminData(models.Model):
    username = models.TextField(max_length=100, unique=True, blank=False)
    password = models.TextField(max_length=100, blank=False)
    dept_id = models.TextField(max_length=50, blank=False)
    enroll_no = models.TextField(max_length=50, unique=True, blank=False)
    created_at = models.DateTimeField(auto_now_add=True)


class StudentData(models.Model):
    enroll_no = models.TextField(max_length=50, unique=True, blank=False)
    username = models.TextField(max_length=100, unique=False, blank=False)
    password = models.TextField(max_length=100, blank=False)
    dept_id = models.TextField(max_length=50, blank=False)
    created_at = models.DateTimeField(auto_now_add=True)
    tuition = models.IntegerField(default=0)  # cents


class Resources(models.Model):
    title = models.TextField(max_length=100, blank=False)
    details = models.TextField(max_length=1000, blank=False)
    type = models.TextField(max_length=50, blank=False)
    file_name = models.TextField(max_length=50, blank=False)
    file_link = models.TextField(max_length=100, blank=False)
    dept_id = models.TextField(max_length=30, blank=False)
    created_at = models.DateTimeField(auto_now_add=True)


class Clubs(models.Model):
    title = models.TextField(max_length=100, blank=False)
    details = models.TextField(max_length=1000, blank=False)
    file_name = models.TextField(max_length=50, blank=False)
    file_link = models.TextField(max_length=100, blank=False)
    created_at = models.DateTimeField(auto_now_add=True)


class Event(models.Model):
    title = models.TextField(max_length=100, blank=False)
    details = models.TextField(max_length=1000, blank=False)
    file_name = models.TextField(max_length=50, blank=False)
    file_link = models.TextField(max_length=100, blank=False)
    created_at = models.DateTimeField(auto_now_add=True)


class Placements(models.Model):
    company = models.TextField(max_length=100, blank=False)
    details = models.TextField(max_length=1000, blank=False)
    document = models.TextField(max_length=50, blank=False, null=True)
    documentUrl = models.TextField(max_length=100, blank=False, null=True)
    form_link = models.TextField(max_length=100, blank=False)
    created_at = models.DateTimeField(auto_now_add=True)

student/forms.py
from django import forms
from .models import Student

class PostForm(forms.ModelForm):
    class Meta(object):
        model = Student
        fields = '__all__'

student/views.py
import stripe
from django.conf import settings
from django.http import JsonResponse
from django.shortcuts import render
from django.views import View
from django.http import HttpResponse, HttpResponseRedirect
# from django.contrib.auth import authenticate, login, logout
from django.urls import reverse
from django.conf import settings
from django.core.files.storage import FileSystemStorage
from .models import AdminData, StudentData, Resources, Clubs, Event, Placements

stripe.api_key = settings.STRIPE_SECRET_KEY

# Create your views here.


def login_view(request):
    if request.method == "GET":
        try:
            if request.session['user']:
                return HttpResponseRedirect(reverse("student:index"))
            else:
                return render(request, "student/login.html")
        except:
            return render(request, "student/login.html")

    if request.method == "POST":
        user = request.POST["username"]
        enroll = request.POST["enroll_no"]
        passwd = request.POST["password"]
        role = request.POST["role"]
        dept = request.POST["dept_id"]

        if role == "admin":
            try:
                AdminData.objects.get(
                    username=user, password=passwd, dept_id=dept, enroll_no=enroll)
                request.session['user'] = enroll
                request.session['admin'] = True
                return HttpResponseRedirect(reverse("student:index"))
            except:
                return render(request, "student/login.html", {
                    "message": "Invalid Credentials"
                })
        elif role == "student":
            try:
                StudentData.objects.get(
                    username=user, password=passwd, dept_id=dept, enroll_no=enroll)
                request.session['user'] = enroll
                request.session['admin'] = False
                return HttpResponseRedirect(reverse("student:index"))
            except:
                return render(request, "student/login.html", {
                    "messageAlert": "Invalid Credentials"
                })
    return render(request, "student/login.html")


def index(request):
    if request.method == "GET":
        try:
            if request.session['user']:
                flag = request.session['admin']
                if flag == True:
                    return render(request, "faculty/index.html")
                else:
                    return render(request, "student/index.html")
        except:
            return HttpResponseRedirect(reverse("student:login"))


def logout_view(request):
    try:
        del request.session['user']
        del request.session['admin']
        return HttpResponseRedirect(reverse("student:login"))
    except:
        return HttpResponseRedirect(reverse("student:login"))


def templates(request, search):
    if request.method == "GET":
        try:
            if request.session['user']:
                user = request.session['user']
                flag = request.session['admin']
                resources = Resources.objects.all()
                clubs = Clubs.objects.all()
                placements = Placements.objects.all()
                event = Event.objects.all()
                if flag == True:
                    data = AdminData.objects.get(enroll_no=user)
                    return render(request, f"faculty/{search}.html", {
                        "data": data,
                        "resources": resources,
                        'clubs': clubs,
                        'placements': placements,
                        "event": event
                    })
                else:
                    data = StudentData.objects.get(enroll_no=user)
                    return render(request, f"student/{search}.html", {
                        "data": data,
                        "resources": resources,
                        'clubs': clubs,
                        'placements': placements,
                        "event": event
                    })
        except:
            return HttpResponseRedirect(reverse("student:login"))
    if request.method == "POST":
        try:
            if request.session['user']:
                user = request.POST["username"]
                enroll = request.POST["enroll_no"]
                passwd = request.POST["password"]
                dept = request.POST["dept_id"]
                role = request.POST["role"]
                if role == "admin":
                    try:
                        form = AdminData(
                            username=user, password=passwd, dept_id=dept, enroll_no=enroll)
                        form.save()
                        return render(request, "faculty/register.html", {
                            "messageSuccess": "Admin Created"
                        })
                    except:
                        return render(request, "faculty/register.html", {
                            "messageAlert": "User Already Exist"
                        })
                elif role == "student":

                    try:
                        form = StudentData(
                            username=user, password=passwd, dept_id=dept, enroll_no=enroll)
                        form.save()
                        return render(request, "faculty/register.html", {
                            "messageSuccess": "User Created"
                        })
                    except:
                        return render(request, "faculty/register.html", {
                            "messageAlert": "User Already Exist"
                        })
        except:
            HttpResponse(500)
            return render(request, "student/login.html", {
                "message": "Please Login Again"
            })


def setting(request):
    if request.method == "POST":
        try:
            if request.session['user']:
                role = request.session['admin']
                enroll = request.session['user']
                passwd = request.POST['currPassword']
                newPasswd = request.POST['newPassword']

                if role:
                    try:
                        form = AdminData.objects.get(
                            enroll_no=enroll, password=passwd)
                        form.password = newPasswd
                        form.save()
                        HttpResponseRedirect("/admin/settings")
                        return render(request, "faculty/settings.html", {
                            "messageSuccess": "Password Updated"
                        })
                    except:
                        HttpResponseRedirect("/admin/settings")
                        return render(request, "faculty/settings.html", {
                            "messageAlert": "Wrong Password"
                        })
                else:
                    try:
                        form = StudentData.objects.get(
                            enroll_no=enroll, password=passwd)
                        form.password = newPasswd
                        form.save()

                        HttpResponseRedirect("/app/settings")
                        return render(request, "student/settings.html", {
                            "messageSuccess": "Password Updated"
                        })
                    except:
                        HttpResponseRedirect("/app/settings")
                        return render(request, "student/settings.html", {
                            "messageAlert": "Wrong Password"
                        })
        except:
            HttpResponse(500)
            return render(request, "student/login.html", {
                "message": "Please Login Again"
            })


def handleFileUpload(request, fileName):
    if request.method == "POST":
        title = request.POST["title"]
        details = request.POST["details"]
        try:
            resource = request.FILES["resource"]
            fs = FileSystemStorage()
            filename = fs.save(resource.name, resource)
            url = fs.url(filename)
        except:
            resource = None
            url = None

        if fileName == "resources":
            dept = request.POST["dept_id"]
            type = request.POST["type"]
            form = Resources(title=title, details=details, type=type,
                             dept_id=dept, file_name=resource, file_link=url)
            form.save()

        # Placements
        if fileName == 'placement':
            link = request.POST['applyForm']
            form = Placements(company=title, details=details,
                              document=resource, documentUrl=url, form_link=link)
            form.save()

        # Clubs
        if fileName == "clubs":
            form = Clubs(title=title, details=details,
                         file_name=resource.name, file_link=url)
            form.save()

        # Events
        if fileName == "event":
            form = Event(title=title, details=details,
                         file_name=resource.name, file_link=url)
            form.save()

        return HttpResponseRedirect(f"/admin/{fileName}")
    else:
        return HttpResponse(400)


# Stripe Integration
class CreateCheckoutSessionView(View):
    def post(self, request, *args, **kwargs):
        checkout_session = stripe.checkout.Session.create(
            payment_method_types=['card'],
            line_items=[
                {
                    'price_data': {
                        # 'currency': 'usd',
                        'currency': 'inr',
                        # 'unit_amount': 2000,
                        'unit_amount': 7700000,
                        'product_data': {
                            'name': 'Tuition',
                            # 'images': ['https://i.imgur.com/EHyR2nP.png'],
                        },
                    },
                    'quantity': 1,
                },
            ],
            mode='payment',

student/templates/student/calendar.html
{% extends 'student/layout.html' %} {% load static %}

{% block container %}
<!-- Calender -->
<main class="col-md-9 ms-sm-auto col-lg-10 px-md-4" id="page7">
    <div
        class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Calender </h1>
    </div>
    <iframe src="https://s3-ap-southeast-1.amazonaws.com/gtusitecirculars/uploads/AC_19-20_Odd_Vacation_458601.pdf"
        width="100%" height="800px">
    </iframe>
</main>
{% endblock %}

student/templates/student/cancel.html
{% load static %}
<html>
  <head>
    <title>Checkout canceled</title>
    <link href="{% static 'student/stripe.css' %}" rel="stylesheet" />
  </head>
  <body>
    <section>
      <p>
        Forgot to add something to your cart? Shop around then come back to pay!
      </p>
    </section>
  </body>
</html>

student/templates/student/certificate.html
{% extends 'student/layout.html' %} {% load static %}

{% block container %}
<!-- Certificate Request -->
<main class="col-md-9 ms-sm-auto col-lg-10 px-md-4" id="page8">
    <div
        class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Certificate Request </h1>
    </div>
    <div class="accordion" id="accordionExample">
        <div class="accordion-item">
            <h2 class="accordion-header" id="headingOne">
                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne"
                    aria-expanded="true" aria-controls="collapseOne">
                    Apply For Transcript
                </button>
            </h2>
            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne"
                data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    <strong>Please read the instruction carefully before making an online payment:</strong>
                    <p>
                        You are required to pay Rs 400 per copy of the Transcript.
                    </p>
                    <p>
                        Please submit relevant document/s (scanned/pdf copy of all the mark sheets/s /
                        provisional grade sheets), online payment receipt to the below mentioned email id:
                        student.services@socet.edu.in
                    </p>
                    <p>
                        Please allow 7 working days to process your request. You’ll receive notification
                        from us
                        once your request has been processed.
                    </p>
                    <p>
                        Bank may charge extra depending upon your mode of payment.
                    </p>
                    <p>
                        <a href="#" class="link-warning"><strong> Apply Now</strong></a>
                    </p>
                </div>
            </div>
        </div>
        <div class="accordion-item">
            <h2 class="accordion-header" id="headingTwo">
                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                    data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                    Apply for Bonafide Certificate
                </button>
            </h2>
            <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo"
                data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    <strong>This is the second item's accordion body.</strong> It is hidden by default,
                    until the collapse plugin adds the appropriate classes that we use to style each
                    element. These classes control the overall appearance, as well as the showing and hiding
                    via CSS transitions. You can modify any of this with custom CSS or overriding our
                    default variables. It's also worth noting that just about any HTML can go within the
                    <code>.accordion-body</code>, though the transition does limit overflow.
                    <p>
                        <a href="#" class="link-warning"><strong> Apply Now</strong></a>
                    </p>
                </div>
            </div>
        </div>
        <div class="accordion-item">
            <h2 class="accordion-header" id="headingThree">
                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                    data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                    Apply for Duplicate Marksheet
                </button>
            </h2>
            <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree"
                data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    <strong>This is the third item's accordion body.</strong> It is hidden by default, until
                    the collapse plugin adds the appropriate classes that we use to style each element.
                    These classes control the overall appearance, as well as the showing and hiding via CSS
                    transitions. You can modify any of this with custom CSS or overriding our default
                    variables. It's also worth noting that just about any HTML can go within the
                    <code>.accordion-body</code>, though the transition does limit overflow.
                    <p>
                        <a href="#" class="link-warning"><strong> Apply Now</strong></a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</main>
{% endblock %}

student/templates/student/layout.html
{% load static %}
<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <title>My SOU</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="{% static 'student/favicon.ico' %}" />
    
    <!-- Bootstrap 5 CDN -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <!-- Bootstrap core CSS -->
    <!-- <link href="../assets/dist/css/bootstrap.min.css" rel="stylesheet"> -->

    <!-- Fontawesome5 CDN -->
    <script defer src="https://use.fontawesome.com/releases/v5.14.0/js/all.js"></script>

    <!-- Custom styles for this template -->
    <link href="{% static 'student/dashboard.css' %}" rel="stylesheet">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }

        /* For Clubs Section */
        .club-container {
            display: flex;
            flex-wrap: wrap;
        }

        .club-container>.card {
            margin: 20px;
            padding: 20px;
            width: 200px;
        }
    </style>
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark p-0 fixed-top">
        <div class="container-fluid">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarToggleExternalContent" aria-controls="navbarToggleExternalContent"
                aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <a class="navbar-brand px-3" href="/app">Silver Oak University</a>
            <ul class="navbar-nav px-3">
                <li class="nav-item text-nowrap">
                    <a class="nav-link" href=" {% url 'student:logout' %}">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                            class="bi bi-box-arrow-right" viewBox="0 0 16 16">
                            <path fill-rule="evenodd"
                                d="M10 12.5a.5.5 0 0 1-.5.5h-8a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h8a.5.5 0 0 1 .5.5v2a.5.5 0 0 0 1 0v-2A1.5 1.5 0 0 0 9.5 2h-8A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h8a1.5 1.5 0 0 0 1.5-1.5v-2a.5.5 0 0 0-1 0v2z" />
                            <path fill-rule="evenodd"
                                d="M15.854 8.354a.5.5 0 0 0 0-.708l-3-3a.5.5 0 0 0-.708.708L14.293 7.5H5.5a.5.5 0 0 0 0 1h8.793l-2.147 2.146a.5.5 0 0 0 .708.708l3-3z" />
                        </svg> Sign out
                    </a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- SideBar -->
    <div class="container-fluid">
        <div class="row">
            <nav id="navbarToggleExternalContent" id="sidebarMenu"
                class="col-md-3 col-lg-2 d-lg-block bg-light sidebar collapse">
                <div class="position-sticky pt-3">
                    <ul class="nav flex-column">
                        <li class="nav-item">
                            <a class="nav-link " aria-current="page" href="/app/dashboard" data-page="page0">
                                <span data-feather="home"></span>
                                Dashboard
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/grades" data-page="page2">
                                <span data-feather="bar-chart-2"></span>
                                Grades
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/resources" data-page="page3">
                                <span data-feather="file-text"></span>
                                Resources
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/event" data-page="page1">
                                <span data-feather="copy"></span>
                                Events
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/clubs" data-page="page4">
                                <span data-feather="activity"></span>
                                Clubs
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/placement" data-page="page5">
                                <span data-feather="sun"></span>
                                Placements
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/settings" data-page="page6">
                                <span data-feather="settings"></span>
                                Settings
                            </a>
                        </li>

                    </ul>

                    <h6
                        class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
                        <span>Student Services</span>
                    </h6>
                    <ul class="nav flex-column mb-2">
                        <li class="nav-item">
                            <a class="nav-link" href="/app/calendar" data-page="page7">
                                <span data-feather="calendar"></span>
                                Calender
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/certificate" data-page="page8">
                                <span data-feather="award"></span>
                                Certificate Request
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/tutionFee" data-page="page9">
                                <span>
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                        class="bi bi-credit-card" viewBox="0 0 16 16">
                                        <path
                                            d="M0 4a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4zm2-1a1 1 0 0 0-1 1v1h14V4a1 1 0 0 0-1-1H2zm13 4H1v5a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V7z" />
                                        <path
                                            d="M2 10a1 1 0 0 1 1-1h1a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1v-1z" />
                                    </svg>
                                </span>
                                &nbsp;Tuition and Fees
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/app/help" data-page="page10">
                                <span data-feather="help-circle"></span>
                                Help
                            </a>
                        </li>
                    </ul>
                </div>
            </nav>

            <!-- Main Components -->
            <div class="navDivider"></div>
            {%block container%}

            {% endblock %}

        </div>
    </div>



    <!-- Feather Icons CDN -->
    <script src="https://cdn.jsdelivr.net/npm/feather-icons@4.28.0/dist/feather.min.js"
        integrity="sha384-uO3SXW5IuS1ZpFPKugNNWqTZRRglnUJK6UAZ/gxOX80nxEkN9NcGZTftn6RzhGWE"
        crossorigin="anonymous"></script>

    <!-- Chart.js CDN -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.4/dist/Chart.min.js"
        integrity="sha384-zNy6FEbO50N+Cg5wap8IKA4M/ZnLJgzc6w2NqACZaK0u0FXfOWRRJOnQtpZun8ha"
        crossorigin="anonymous"></script>

    <!-- Bootstrap JS CDN -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.6.0/dist/umd/popper.min.js"
        integrity="sha384-KsvD1yqQ1/1+IA7gi3P0tyJcT3vR+NdBTt13hSJ2lnve8agRGXTTyNaBYmCR/Nwi"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.min.js"
        integrity="sha384-nsg8ua9HAw1y0W1btsyWgBklPnCUAFLuTMS2G72MMONqmOymq585AcH49TLBQObG"
        crossorigin="anonymous"></script>

      
            {% block jquery %}

            {% endblock %}
  

    <!-- Internal Scripts -->
    <script src="{% static 'student/dashboard.js' %}"></script>
    <script src="{% static 'student/index.js' %}"></script>
</body>

</html>

student/templates/student/settings.html
{% extends 'student/layout.html' %} {% load static %}

{% block jquery %}
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            (document.querySelectorAll('.notification .delete') || []).forEach(($delete) => {
                var $notification = $delete.parentNode;

                $delete.addEventListener('click', () => {
                    $notification.parentNode.removeChild($notification);
                });
            });
        });
    </script>
{% endblock %}

{% block container %}
 <!-- Settings -->
 <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4" id="page6">
     <div
         class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
         <h1 class="h2">Settings </h1>
     </div>
     <form action="{% url 'student:update' %}" method="POST">
        {% csrf_token %}
         <div class="mb-3 w-50">
             <label  for="currPassword" class="form-label">Current Password</label>
             <input name="currPassword" type="password" class="form-control" id="currPassword" required>
         </div>
         <div class="mb-3 w-50">
             <label for="newPassword" class="form-label">New Password</label>
             <input name="newPassword" type="password" class="form-control" id="newPassword" required>
         </div>
         <div id="passwordHelpBlock" class="form-text">
            Your password must be 8-20 characters long, contain letters and numbers, and must not
            contain spaces, special characters, or emoji.
        </div>
         <button type="submit" class="btn btn-primary">Submit</button>
     </form>
    {% if messageAlert %}
    <div class="notification text-danger is-light my-2">
        <button type="button" class="delete alertBtn">
            <i class="fas fa-times"></i>
        </button>
        {{ messageAlert }}
    </div>
    {% elif messageSuccess %}
    <div class="notification text-success is-light my-2">
        <button type="button" class="delete successBtn">
            <i class="fas fa-times"></i>
        </button>
        {{ messageSuccess }}
    </div>
    {% endif %}
 </main>
{% endblock %}

student/templates/student/success.html
{% load static %}

<html>
  <head>
    <title>Thanks for your order!</title>
    <link href="{% static 'student/stripe.css' %}" rel="stylesheet" />
  </head>
  <body>
    <section>
      <p>
        We appreciate your business! If you have any questions, please email
        <a href="mailto:orders@example.com">orders@example.com</a>.
      </p>
    </section>
  </body>
</html>